OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_CurveBoundedSurface Class Reference

Representation of STEP entity CurveBoundedSurface
.

`#include <StepGeom_CurveBoundedSurface.hxx>`

Inheritance diagram for StepGeom_CurveBoundedSurface:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_CurveBoundedSurface ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Handle(StepGeom_Surface)&aBasisSurface, const Handle(StepGeom_HArray1OfSurfaceBoundary)&aBoundaries, const Standard_Boolean aImplicitOuter)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepGeom_Surface | BasisSurface () const
| Returns field BasisSurface .
Standard_EXPORT void | SetBasisSurface (const Handle(StepGeom_Surface)&BasisSurface)
| Set field BasisSurface .
Standard_EXPORT Handle_StepGeom_HArray1OfSurfaceBoundary | Boundaries () const
| Returns field Boundaries .
Standard_EXPORT void | SetBoundaries (const Handle(StepGeom_HArray1OfSurfaceBoundary)&Boundaries)
| Set field Boundaries .
Standard_EXPORT Standard_Boolean | ImplicitOuter () const
| Returns field ImplicitOuter .
Standard_EXPORT void | SetImplicitOuter (const Standard_Boolean ImplicitOuter)
| Set field ImplicitOuter .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Surface | theBasisSurface
Handle_StepGeom_HArray1OfSurfaceBoundary | theBoundaries
Standard_Boolean | theImplicitOuter

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_CurveBoundedSurface::StepGeom_CurveBoundedSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Surface StepGeom_CurveBoundedSurface::BasisSurface | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_HArray1OfSurfaceBoundary StepGeom_CurveBoundedSurface::Boundaries | ( |  | ) | const

Standard_EXPORT const StepGeom_CurveBoundedSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_BoundedSurface.

Standard_EXPORT Standard_Boolean StepGeom_CurveBoundedSurface::ImplicitOuter | ( |  | ) | const

Standard_EXPORT void StepGeom_CurveBoundedSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Handle(StepGeom_Surface)& | aBasisSurface,
|  | const Handle(StepGeom_HArray1OfSurfaceBoundary)& | aBoundaries,
|  | const Standard_Boolean | aImplicitOuter
| ) |

Standard_EXPORT void StepGeom_CurveBoundedSurface::SetBasisSurface | ( | const Handle(StepGeom_Surface)& | BasisSurface | ) |

Standard_EXPORT void StepGeom_CurveBoundedSurface::SetBoundaries | ( | const Handle(StepGeom_HArray1OfSurfaceBoundary)& | Boundaries | ) |

Standard_EXPORT void StepGeom_CurveBoundedSurface::SetImplicitOuter | ( | const Standard_Boolean | ImplicitOuter | ) |

## Field Documentation

Handle_StepGeom_Surface StepGeom_CurveBoundedSurface::theBasisSurface`[private]`

Handle_StepGeom_HArray1OfSurfaceBoundary StepGeom_CurveBoundedSurface::theBoundaries`[private]`

Standard_Boolean StepGeom_CurveBoundedSurface::theImplicitOuter`[private]`

The documentation for this class was generated from the following file:

- StepGeom_CurveBoundedSurface.hxx